ProgressEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class ProgressEvent

    java.lang.Object
      java.util.EventObject
          com.bbn.openmap.event.ProgressEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ProgressEvent

extends java.util.EventObject

An event that provides information on progress on a certain task.

See Also:
  Serialized Form

Field Summary
`protected float` | `currentValue`
`static int` | `DONE` Progress event type, notification of process completion.
`protected float` | `finishedValue`
`static int` | `START` Progress event type, start process.
`protected java.lang.String` | `taskDescription`
`protected int` | `type`
`static int` | `UPDATE` Progress event type, update of current process.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ProgressEvent(java.lang.Object source, int type, java.lang.String taskDescription, float finishValue, float currentValue)` Construct a ProgressEvent.

Method Summary
`float` | `getCurrentValue()` Get the current value representing progress.
`float` | `getFinishedValue()` Get the value that current will have to get to to be finished.
`int` | `getPercentComplete()` Provide a percentage of progress completed, or -1 if no finished value has been provided.
`java.lang.String` | `getTaskDescription()` Get a string describing what the task is.
`int` | `getType()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### START

    public static final int START

  Progress event type, start process.

  See Also:
    Constant Field Values

### UPDATE

    public static final int UPDATE

  Progress event type, update of current process.

  See Also:
    Constant Field Values

### DONE

    public static final int DONE

  Progress event type, notification of process completion.

  See Also:
    Constant Field Values

### finishedValue

    protected float finishedValue

### currentValue

    protected float currentValue

### taskDescription

    protected java.lang.String taskDescription

### type

    protected int type

Constructor Detail

### ProgressEvent

    public ProgressEvent(java.lang.Object source,
                         int type,
                         java.lang.String taskDescription,
                         float finishValue,
                         float currentValue)

  Construct a ProgressEvent.

  Parameters:
    `source` - Object
    `finishValue` - the ending value
    `currentValue` - the current value

Method Detail

### getFinishedValue

    public float getFinishedValue()

  Get the value that current will have to get to to be finished.

  Returns:
    finished.

### getCurrentValue

    public float getCurrentValue()

  Get the current value representing progress.

### getTaskDescription

    public java.lang.String getTaskDescription()

  Get a string describing what the task is.

### getPercentComplete

    public int getPercentComplete()

  Provide a percentage of progress completed, or -1 if no finished value has been provided.

### getType

    public int getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details